MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024994Community[OCCT] OCCT:Modeling Algorithmspublic2014-06-07 14:532015-10-23 20:51
Reporterguidovanhilst 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindows7OSWindows7OS VersionWindows7
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0024994: Missing implementation of constructor: BRepClass_FaceClassifier
DescriptionBRepClass_FaceClassifier::BRepClass_FaceClassifier(
BRepClass_FaceExplorer& F,
const gp_Pnt& P,
const Standard_Real Tol)
Steps To Reproducenot needed
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0040244)
msv (developer)
2015-04-24 20:47

This constructor is redundant for this class. Because it gets a 3D point. A 3D point cannot be classified in parametric 2D space of a face. It must be first projected on surface to obtain a 2D point, and then one can use the available constructor.
So, the solution is to remove the wrong declaration.
(0041482)
git (administrator)
2015-05-25 12:24

Branch CR24994 has been created by isn.

SHA-1: 9eea4bc4c318b7f4164cc9b6be05c9998d3f132c


Detailed log of new commits:

Author: isn
Date: Mon May 25 12:24:32 2015 +0300

    0024994: missing implematation of constructor: BRepClass_FaceClassifier
(0041483)
isn (developer)
2015-05-25 12:26

please review branch CR24994
(0041484)
msv (developer)
2015-05-25 12:32

Reviewed.
No testing is needed. Just check compilation.
(0041547)
apv (tester)
2015-05-26 12:19

Dear BugMaster,

Branch CR24994 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 9eea4bc4c318b7f4164cc9b6be05c9998d3f132c

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing on Linux:
Total MEMORY difference: 99881310 / 99716854 [+0.16%]
Total CPU difference: 18963.019999999953 / 18298.35000000015 [+3.63%]

Testing on Windows:
Total MEMORY difference: 58997408 / 58780037 [+0.37%]
Total CPU difference: 17168.61205449915 / 16832.58590049903 [+2.00%]
(0044264)
git (administrator)
2015-08-14 11:00

Branch CR24994 has been deleted by inv.

SHA-1: 9eea4bc4c318b7f4164cc9b6be05c9998d3f132c

- Related Changesets
occt: master b21ccecc
Timestamp: 2015-05-25 09:24:32
Author: isn
Committer: bugmaster
Details ] Diff ]
0024994: missing implematation of constructor: BRepClass_FaceClassifier
mod - src/BRepClass/BRepClass_FaceClassifier.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-07 14:53 guidovanhilst New Issue
2014-06-07 14:53 guidovanhilst Assigned To => ifv
2014-09-12 12:53 abv Target Version => 7.1.0
2015-04-24 20:47 msv Note Added: 0040244
2015-05-25 12:01 msv Assigned To ifv => isn
2015-05-25 12:02 msv Status new => assigned
2015-05-25 12:24 git Note Added: 0041482
2015-05-25 12:26 isn Note Added: 0041483
2015-05-25 12:26 isn Assigned To isn => msv
2015-05-25 12:26 isn Status assigned => resolved
2015-05-25 12:26 isn Steps to Reproduce Updated View Revisions
2015-05-25 12:31 abv Summary missing implematation of constructor: BRepClass_FaceClassifier => Missing implementation of constructor: BRepClass_FaceClassifier
2015-05-25 12:32 msv Note Added: 0041484
2015-05-25 12:32 msv Assigned To msv => bugmaster
2015-05-25 12:32 msv Status resolved => reviewed
2015-05-25 12:58 apv Assigned To bugmaster => apv
2015-05-26 12:12 apv Test case number => Not needed
2015-05-26 12:19 apv Note Added: 0041547
2015-05-26 12:19 apv Assigned To apv => bugmaster
2015-05-26 12:19 apv Status reviewed => tested
2015-05-29 14:15 bugmaster Changeset attached => occt master b21ccecc
2015-05-29 14:15 bugmaster Status tested => verified
2015-05-29 14:15 bugmaster Resolution open => fixed
2015-05-29 14:19 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 11:00 git Note Added: 0044264
2015-08-26 11:14 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker